org.jboss.netty.channel.socket

## Enum InternetProtocolFamily

- java.lang.Object
- - java.lang.Enum<InternetProtocolFamily>
  - - org.jboss.netty.channel.socket.InternetProtocolFamily

All Implemented Interfaces:
  Serializable, Comparable<InternetProtocolFamily>

    public enum InternetProtocolFamily
    extends Enum<InternetProtocolFamily>

Internet Protocol (IP) families

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`IPv4`
`IPv6`

### Method Summary

Methods
`static InternetProtocolFamily` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static InternetProtocolFamily[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### IPv4

    public static final InternetProtocolFamily IPv4

#### IPv6

    public static final InternetProtocolFamily IPv6

### Method Detail

#### values

    public static InternetProtocolFamily[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (InternetProtocolFamily c : InternetProtocolFamily.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static InternetProtocolFamily valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null